## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 24
%bcond_without check
%global debug_package %{nil}

%global crate pep508_rs

Name:           rust-pep508_rs
Version:        0.1.5
Release:        %autorelease
Summary:        Library for python dependency specifiers, better known as PEP 508

License:        Apache-2.0 OR BSD-2-Clause
URL:            https://crates.io/crates/pep508_rs
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * prevent unused shared library with C-ABI from being built
Patch:          pep508_rs-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
A library for python dependency specifiers, better known as PEP 508.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/License-Apache
%license %{crate_instdir}/License-BSD
%doc %{crate_instdir}/Readme.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+anyhow-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+anyhow-devel %{_description}

This package contains library source intended for building other packages which
use the "anyhow" feature of the "%{crate}" crate.

%files       -n %{name}+anyhow-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+modern-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+modern-devel %{_description}

This package contains library source intended for building other packages which
use the "modern" feature of the "%{crate}" crate.

%files       -n %{name}+modern-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+pyo3-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+pyo3-devel %{_description}

This package contains library source intended for building other packages which
use the "pyo3" feature of the "%{crate}" crate.

%files       -n %{name}+pyo3-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+pyo3-log-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+pyo3-log-devel %{_description}

This package contains library source intended for building other packages which
use the "pyo3-log" feature of the "%{crate}" crate.

%files       -n %{name}+pyo3-log-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+serde-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde-devel %{_description}

This package contains library source intended for building other packages which
use the "serde" feature of the "%{crate}" crate.

%files       -n %{name}+serde-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+serde_json-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde_json-devel %{_description}

This package contains library source intended for building other packages which
use the "serde_json" feature of the "%{crate}" crate.

%files       -n %{name}+serde_json-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+toml-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+toml-devel %{_description}

This package contains library source intended for building other packages which
use the "toml" feature of the "%{crate}" crate.

%files       -n %{name}+toml-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
# * ignore harmless test failure caused by cosmetic string differences
%cargo_test -- -- --skip tests::basic_examples
%endif

%changelog
* Sun Apr 23 2023 Fabio Valentini <decathorpe@gmail.com> - 0.1.5-1
- Initial import (#2187682)
